> For the complete documentation index, see [llms.txt](https://docs.kkiapay.me/v1/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.kkiapay.me/v1/en-1.0.0/plugin-et-sdk/frameworks/using-kkiapay-with-nuxt.js.md).

# Using KKiaPay with Nuxt.js

### Installation

Please run the following command :

```shell
npm install kkiapay@latest
```

### Add kkiapay plugin

```typescript
// plugins/kkiapay.client.ts

import { defineNuxtPlugin } from "#app";
import * as kkiapayModule from "kkiapay";

export default defineNuxtPlugin(() => {
  return {
    provide: {
      kkiapay: kkiapayModule,
    },
  };
});
```

### Usage

Define a function that will display the KKiaPay Widget :&#x20;

```vue
<script setup lang="ts">
import type { ListenerData } from "kkiapay";

const { $kkiapay } = useNuxtApp();

const initPayment = () => {
  $kkiapay.openKkiapayWidget({
    amount: 100,
    sandbox: true,
    key: "xxxxxxxxxxxxxxxxxxxxx",
    phone: "22997000000",
  });
};
</script>
```

You can now use this function within your view template to display the payment interface :

```vue-html
<template>
  <div>
    <button @click="open">click me</button>
  </div>
</template>vue
```

{% hint style="danger" %}
**Important !**&#x20;

To avoid fraud, perform the server-side verification of the transaction operation. Learn more about the [Admin SDKs (Server-Side)](/v1/en-1.0.0/plugin-et-sdk/admin-sdks-server-side.md).
{% endhint %}

You can subscribe to payment transaction events with the **addKkiapayListener** function and proceed as follows :

```vue
<script setup lang="ts">
// ... autres options

const onPaymentSuccess = (response: ListenerData) => {
  console.log("Paiement Réussi:", response);
};

const onPaymentFailed = (response: ListenerData) => {
  console.log("Paiement Échoué:", response);
};

const initPayment = () => {
  // Pour être notifié du statut réussi de l'opération de paiement
  $kkiapay.addKkiapayListener("success", onPaymentSuccess);
  
  // Pour être notifié du statut échec de l'opération de paiement
  $kkiapay.addKkiapayListener("failed", onPaymentFailed);

  $kkiapay.openKkiapayWidget({
    amount: 100,
    sandbox: true,
    key: "xxxxxxxxxxxxxxxxxxxxx",
    phone: "22997000000",
  });
};
</script>
```

In order to avoid memory leaks, we will need to delete the callback when the component is destroyed :

```vue
<script setup lang="ts">

// ... code précédent

  onUnmounted(() => {
    $kkiapay.removeKkiapayListener("success");
  });
</script>
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.kkiapay.me/v1/en-1.0.0/plugin-et-sdk/frameworks/using-kkiapay-with-nuxt.js.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
